SystemOrganization addCategory: 'ConfigurationOfOrbeonBizagiReader'!

BaselineOf subclass: #BaselineOfOrbeonBizagiReader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonBizagiReader'!

!BaselineOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/20/2015 18:05'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'Orbeon'
         with: [ spec
					 className: 'ConfigurationOfOrbeon';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeon';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'OrbeonFormProcess'
         with: [ spec
					 className: 'ConfigurationOfOrbeonFormProcess';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeonFormProcess';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].

       spec package: 'OrbeonBizagiReader-BrunoBB' with: [ spec requires: #('Orbeon' 'OrbeonFormProcess') ] ]! !

ConfigurationOf subclass: #ConfigurationOfOrbeonBizagiReader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonBizagiReader'!

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:33'!
baseline0046: spec
	<version: '0.046-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec author: 'BrunoBB'.
		spec repository: 'http://ss3.gemstone.com/ss/Orbeon'.
		spec project: 'Orbeon' with: [
			spec repository: 'http://ss3.gemstone.com/ss/Orbeon';
				versionString: #stable;
				className: 'ConfigurationOfOrbeon';
				file: 'ConfigurationOfOrbeon';
				loads: #('ALL').
				].
		spec project: 'OrbeonFormProcess' with: [
			spec repository: 'http://ss3.gemstone.com/ss/Orbeon';
				versionString: #stable;
				className: 'ConfigurationOfOrbeonFormProcess';
				file: 'ConfigurationOfOrbeonFormProcess';
				loads: #('ALL').
				].
		spec 	
			package: 'OrbeonBizagiReader-BrunoBB' with: [spec requires: #('Orbeon' 'OrbeonFormProcess')].
	].! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:33'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.046-baseline'.! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:33'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:33'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.046'.! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:33'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.046'.! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:33'!
version0046: spec
	<version: '0.046' imports: #('0.046-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Orbeon' with: '1.103'.
		spec project: 'OrbeonFormProcess' with: '0.670'.

		spec package: 'OrbeonBizagiReader-BrunoBB' with: 'OrbeonBizagiReader-BrunoBB-0.046'.
	]! !
